# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Hint Class Reference

Wraps the OpenGL function glHint(), see also http://www.opengl.org/sdk/docs/man/xhtml/glHint.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::Hint:

List of all members.

## Public Member Functions

| Hint ()
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | setPerspectiveCorrectionHint (EHintMode mode)
void | setPolygonSmoohtHint (EHintMode mode)
void | setLineSmoothHint (EHintMode mode)
void | setPointSmoothHint (EHintMode mode)
void | setFogHint (EHintMode mode)
void | setGenerateMipmapHint (EHintMode mode)
EHintMode | perspectiveCorrectionHint () const
EHintMode | polygonSmoohtHint () const
EHintMode | lineSmoothHint () const
EHintMode | pointSmoothHint () const
EHintMode | fogHint () const
EHintMode | generateMipmapHint () const

## Protected Attributes

EHintMode | mPerspectiveCorrectionHint
EHintMode | mPointSmoothHint
EHintMode | mLineSmoothHint
EHintMode | mPolygonSmoothHint
EHintMode | mFogHint
EHintMode | mGenerateMipmapHint

## Detailed Description

Wraps the OpenGL function glHint(), see also http://www.opengl.org/sdk/docs/man/xhtml/glHint.xml for more information.

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::Hint::Hint | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::Hint::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::Hint::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void Hint::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::Hint::setPerspectiveCorrectionHint | ( | EHintMode | mode | ) | `[inline]`

void vl::Hint::setPolygonSmoohtHint | ( | EHintMode | mode | ) | `[inline]`

void vl::Hint::setLineSmoothHint | ( | EHintMode | mode | ) | `[inline]`

void vl::Hint::setPointSmoothHint | ( | EHintMode | mode | ) | `[inline]`

void vl::Hint::setFogHint | ( | EHintMode | mode | ) | `[inline]`

void vl::Hint::setGenerateMipmapHint | ( | EHintMode | mode | ) | `[inline]`

EHintMode vl::Hint::perspectiveCorrectionHint | ( |  | ) | const`[inline]`

EHintMode vl::Hint::polygonSmoohtHint | ( |  | ) | const`[inline]`

EHintMode vl::Hint::lineSmoothHint | ( |  | ) | const`[inline]`

EHintMode vl::Hint::pointSmoothHint | ( |  | ) | const`[inline]`

EHintMode vl::Hint::fogHint | ( |  | ) | const`[inline]`

EHintMode vl::Hint::generateMipmapHint | ( |  | ) | const`[inline]`

## Member Data Documentation

EHintMode vl::Hint::mPerspectiveCorrectionHint`[protected]`

EHintMode vl::Hint::mPointSmoothHint`[protected]`

EHintMode vl::Hint::mLineSmoothHint`[protected]`

EHintMode vl::Hint::mPolygonSmoothHint`[protected]`

EHintMode vl::Hint::mFogHint`[protected]`

EHintMode vl::Hint::mGenerateMipmapHint`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:40 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.